View Issue Details

IDProjectCategoryView StatusLast Update
0005000GNUnetDNS servicepublic2018-06-07 00:24
ReporterkurlovitschAssigned Todangole 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSlinuxOS Versiongentoo
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0005000: Fatal: executable ip not found in approved directories: No such file or directory
Descriptionerror when start gnunet-arm -s - Fatal: executable ip not found in approved directories: No such file or directory
Additional Informationin gnunet-helper-dns.c

if (0 == access ("/sbin/ip", X_OK))
      sbin_ip = "/sbin/ip";
    else if (0 == access ("/usr/sbin/ip", X_OK))
      sbin_ip = "/usr/sbin/ip";
    else
    {
      fprintf (stderr,
           "Fatal: executable ip not found in approved directories: %s\n",
           strerror (errno));

but in gentoo linux "ip" is in /bin
TagsNo tags attached.

Activities

Christian Grothoff

2017-04-30 12:48

manager   ~0012086

Ok, should be easily fixed. Will take care of it ASAP.

Christian Grothoff

2017-04-30 12:50

manager   ~0012087

Actually, was already fixed in Git 9c25b4dcb6.

Issue History

Date Modified Username Field Change
2017-04-29 21:25 kurlovitsch New Issue
2017-04-30 12:48 Christian Grothoff Note Added: 0012086
2017-04-30 12:48 Christian Grothoff Assigned To => Christian Grothoff
2017-04-30 12:48 Christian Grothoff Status new => assigned
2017-04-30 12:48 Christian Grothoff Category ARM service => DNS service
2017-04-30 12:48 Christian Grothoff Product Version => SVN HEAD
2017-04-30 12:48 Christian Grothoff Target Version => 0.11.0pre66
2017-04-30 12:50 Christian Grothoff Assigned To Christian Grothoff => dangole
2017-04-30 12:50 Christian Grothoff Status assigned => resolved
2017-04-30 12:50 Christian Grothoff Resolution open => fixed
2017-04-30 12:50 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-04-30 12:50 Christian Grothoff Note Added: 0012087
2018-06-07 00:24 Christian Grothoff Status resolved => closed